      SUBROUTINE LFIDAH ( KDATE, KHEURE )
#include "lficomt.h"
C****
C     SOUS-PROGRAMME CHARGE DE DONNER LA DATE ET L'HEURE MACHINE
C     SOUS LA FORME D'ENTIERS .
C**
C     ARGUMENTS (SORTIE) KDATE  ==> DATE SOUS LA FORME AAMMJJ;
C                        KHEURE ==> HEURE SOUS LA FORME HHMMSS .
C
      CHARACTER CLAUXI*8
C
#ifndef f77
#include "precision.h"
      INTEGER (KIND=JPDBLE) KDATE, KHEURE
      CHARACTER CLAUXIT*10
      CHARACTER CLDIFF*5
      INTEGER KTIME(8)
#else
      INTEGER KDATE, KHEURE
#endif
      INTEGER IMOIS, IJOUR, IANNEE, IHEURE, IMINUT, ISECON
C
#ifndef f77
      CALL DATE_AND_TIME (CLAUXI,CLAUXIT,CLDIFF,KTIME)
      IANNEE=KTIME(1)
      IMOIS=KTIME(2)
      IJOUR=KTIME(3)
      IHEURE=KTIME(5)
      IMINUT=KTIME(6)
      ISECON=KTIME(7)
#else
#ifdef HPPA
      CALL IDATE (IMOIS,IJOUR,IANNEE)
      CALL TIME (CLAUXI)
#else
      CALL DATE (CLAUXI)
      READ (UNIT=CLAUXI,FMT='(I2,2(TR1,I2))') IMOIS,IJOUR,IANNEE
      CALL CLOCK (CLAUXI)
#endif
      READ (UNIT=CLAUXI,FMT='(I2,2(TR1,I2))') IHEURE,IMINUT,ISECON
#endif
C
      KDATE=100*(100*IANNEE+IMOIS)+IJOUR
      KHEURE=100*(100*IHEURE+IMINUT)+ISECON
C
      RETURN
      END
